PLplot: plplot.core.PLGraphicsIn Class Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Private Attributes | List of all members
plplot.core.PLGraphicsIn Class Reference

## Public Member Functions
synchronized void | delete ()
void | setType (int value)
int | getType ()
void | setState (long value)
long | getState ()
void | setKeysym (long value)
long | getKeysym ()
void | setButton (long value)
long | getButton ()
void | setSubwindow (int value)
int | getSubwindow ()
void | setString (String value)
String | getString ()
void | setPX (int value)
int | getPX ()
void | setPY (int value)
int | getPY ()
void | setDX (double value)
double | getDX ()
void | setDY (double value)
double | getDY ()
void | setWX (double value)
double | getWX ()
void | setWY (double value)
double | getWY ()
| PLGraphicsIn ()

## Protected Member Functions
| PLGraphicsIn (long cPtr, boolean cMemoryOwn)
void | finalize ()

## Static Protected Member Functions
static long | getCPtr (PLGraphicsIn obj)

## Protected Attributes
boolean | swigCMemOwn

## Private Attributes
long | swigCPtr

## Detailed Description

Definition at line 11 of file PLGraphicsIn.java.

## Constructor & Destructor Documentation

plplot.core.PLGraphicsIn.PLGraphicsIn | ( | long | cPtr,
|  | boolean | cMemoryOwn
| ) |  |
| inlineprotected

Definition at line 15 of file PLGraphicsIn.java.

plplot.core.PLGraphicsIn.PLGraphicsIn | ( |  | ) |
| inline

Definition at line 134 of file PLGraphicsIn.java.

## Member Function Documentation

synchronized void plplot.core.PLGraphicsIn.delete | ( |  | ) |
| inline

Definition at line 28 of file PLGraphicsIn.java.

void plplot.core.PLGraphicsIn.finalize | ( |  | ) |
| inlineprotected

Definition at line 24 of file PLGraphicsIn.java.

long plplot.core.PLGraphicsIn.getButton | ( |  | ) |
| inline

Definition at line 66 of file PLGraphicsIn.java.

static long plplot.core.PLGraphicsIn.getCPtr | ( | PLGraphicsIn | obj | ) |
| inlinestaticprotected

Definition at line 20 of file PLGraphicsIn.java.

double plplot.core.PLGraphicsIn.getDX | ( |  | ) |
| inline

Definition at line 106 of file PLGraphicsIn.java.

double plplot.core.PLGraphicsIn.getDY | ( |  | ) |
| inline

Definition at line 114 of file PLGraphicsIn.java.

long plplot.core.PLGraphicsIn.getKeysym | ( |  | ) |
| inline

Definition at line 58 of file PLGraphicsIn.java.

int plplot.core.PLGraphicsIn.getPX | ( |  | ) |
| inline

Definition at line 90 of file PLGraphicsIn.java.

int plplot.core.PLGraphicsIn.getPY | ( |  | ) |
| inline

Definition at line 98 of file PLGraphicsIn.java.

long plplot.core.PLGraphicsIn.getState | ( |  | ) |
| inline

Definition at line 50 of file PLGraphicsIn.java.

String plplot.core.PLGraphicsIn.getString | ( |  | ) |
| inline

Definition at line 82 of file PLGraphicsIn.java.

int plplot.core.PLGraphicsIn.getSubwindow | ( |  | ) |
| inline

Definition at line 74 of file PLGraphicsIn.java.

int plplot.core.PLGraphicsIn.getType | ( |  | ) |
| inline

Definition at line 42 of file PLGraphicsIn.java.

double plplot.core.PLGraphicsIn.getWX | ( |  | ) |
| inline

Definition at line 122 of file PLGraphicsIn.java.

double plplot.core.PLGraphicsIn.getWY | ( |  | ) |
| inline

Definition at line 130 of file PLGraphicsIn.java.

void plplot.core.PLGraphicsIn.setButton | ( | long | value | ) |
| inline

Definition at line 62 of file PLGraphicsIn.java.

void plplot.core.PLGraphicsIn.setDX | ( | double | value | ) |
| inline

Definition at line 102 of file PLGraphicsIn.java.

void plplot.core.PLGraphicsIn.setDY | ( | double | value | ) |
| inline

Definition at line 110 of file PLGraphicsIn.java.

void plplot.core.PLGraphicsIn.setKeysym | ( | long | value | ) |
| inline

Definition at line 54 of file PLGraphicsIn.java.

void plplot.core.PLGraphicsIn.setPX | ( | int | value | ) |
| inline

Definition at line 86 of file PLGraphicsIn.java.

void plplot.core.PLGraphicsIn.setPY | ( | int | value | ) |
| inline

Definition at line 94 of file PLGraphicsIn.java.

void plplot.core.PLGraphicsIn.setState | ( | long | value | ) |
| inline

Definition at line 46 of file PLGraphicsIn.java.

void plplot.core.PLGraphicsIn.setString | ( | String | value | ) |
| inline

Definition at line 78 of file PLGraphicsIn.java.

void plplot.core.PLGraphicsIn.setSubwindow | ( | int | value | ) |
| inline

Definition at line 70 of file PLGraphicsIn.java.

void plplot.core.PLGraphicsIn.setType | ( | int | value | ) |
| inline

Definition at line 38 of file PLGraphicsIn.java.

void plplot.core.PLGraphicsIn.setWX | ( | double | value | ) |
| inline

Definition at line 118 of file PLGraphicsIn.java.

void plplot.core.PLGraphicsIn.setWY | ( | double | value | ) |
| inline

Definition at line 126 of file PLGraphicsIn.java.

## Member Data Documentation

boolean plplot.core.PLGraphicsIn.swigCMemOwn
| protected

Definition at line 13 of file PLGraphicsIn.java.

long plplot.core.PLGraphicsIn.swigCPtr
| private

Definition at line 12 of file PLGraphicsIn.java.

The documentation for this class was generated from the following file:

- PLGraphicsIn.java